<div [ngClass]="(isAuctionOnConsultationStatus() || isAuctionOnClosedStatus()) ?
      getMobileClassIfNeeded('won-auction-item') :
      getMobileClassIfNeeded('auction-item')">
  <div
    (click)="navigateToDetailsFromCard()"
    class="p-shadow-7"
  >
    <div *ngIf="isCurrentStepEquals('BIDDING')" [ngClass]="getMobileClassIfNeededAndColoredTag('tag', daysToEnd)">
      <!--      {{ych.price === null ? 'Price:' + ych.minBid : 'No Bids'}}-->
      <div class="p-d-flex p-jc-center"
           style="padding: 5px;">
        <ng-container *ngIf="ych.minBid !== null">
          <div style="margin-right: 10px;">
            {{ 'Price : ' + (ych.price == null ? ' ' + ych.minBid : ' ' + ych.price) }}
          </div>
        </ng-container>
        <div>
          {{ 'Days : ' + daysToEnd }}
        </div>
      </div>
    </div>
    <img
      [ngClass]="{'portrait': !isMobile, 'portrait-mobile': isMobile}"
      height="258"
      src='{{ serverUrl }}/api/images/{{ych.imageId}}'/>
    <!--    <ng-container *ngIf = "isCurrentStepEquals('BIDDING')">-->
    <!--      <div class = "p-d-flex p-jc-center"-->
    <!--           style = "padding: 5px;">-->
    <!--        <div style = "text-align: center;">-->
    <!--          Price:-->
    <!--        </div>-->
    <!--        <div style = "margin-right: 10px;">-->
    <!--          {{ych.price == null ? ych.minBid : ych.price}}-->
    <!--        </div>-->
    <!--        <div>-->
    <!--          Days:-->
    <!--        </div>-->
    <!--        <div>-->
    <!--          {{daysToEnd}}-->
    <!--        </div>-->
    <!--      </div>-->
    <!--    </ng-container>-->

    <div *ngIf="!isCurrentStepEquals('BIDDING')"
         class="p-d-flex p-jc-center"
         style="padding: 5px;"
    >
      <ng-container *ngIf="isCurrentStepEquals('CLOSED')">
        <button
          (click)="navigateToAuctionDiscussion()"
          class="p-button-danger info-button"
          icon="pi pi-comments"
          label="Discussion"
          pButton
          pRipple
          style="margin-top: 15px; margin-right: 10px"
          type="button"
        ></button>
      </ng-container>

      <ng-container *ngIf="isAuctionOnConsultationStatus()">
        <button
          (click)="navigateToAuctionDiscussion()"
          class="p-button-success info-button"
          icon="pi pi-comments"
          label="Discussion"
          pButton
          pRipple
          style="margin-top: 15px; margin-right: 10px"
          type="button"
        ></button>
      </ng-container>

      <ng-container *ngIf="isAuctionNotOnBiddingStatus()">
        <button
          (click)="navigateToDetailsFromButton()"
          class="p-button-warning info-button"
          icon="pi pi-search-plus"
          label="Closed"
          pButton
          pRipple
          style="margin-top: 15px; margin-right: 10px"
          type="button"
        ></button>
      </ng-container>
    </div>

  </div>
</div>
